gnutls_certificate_set_x509_trust_file(3)

NAME
gnutls_certificate_set_x509_trust_file - Used to add trusted CAs in a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_trust_file(gnutls_certificate_credentials_t res, const char * cafile, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_certificate_credentials_t      res
    is an gnutls_certificate_credentials_t structure.

const char * cafile
    is a file containing the list of trusted CAs (DER or PEM list)

gnutls_x509_crt_fmt_t type
    is PEM or DER

DESCRIPTION
This function adds the trusted CAs in order to verify client or server certificates. In case of a client this is not required to be called if the certificates are not verified using gnutls_certificate_verify_peers2(). This function may be called multiple times. In case of a server the names of the CAs set here will be sent to the client if a certificate request is sent. This can be disabled using gnutls_certificate_send_x509_rdn_sequence().

RETURNS
number of certificates processed, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.